Subject: bug#20119: closed (Re: bug#20119: 25.0.50; tramp-test30-special-characters hangs on Cygwin)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 16 Mar 2015 20:23:02 +0000

Your bug report

#20119: 25.0.50; tramp-test30-special-characters hangs on Cygwin

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20119: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20119
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20119: 25.0.50; tramp-test30-special-characters hangs on Cygwin
From: Ken Brown <[email-masked]>
To: Michael Albinus <[email-masked]>
Cc: [email-masked]
Date: Mon, 16 Mar 2015 16:22:42 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On 3/16/2015 3:05 PM, Michael Albinus wrote:
> Ken Brown <[email-masked]> writes:
>
>> The patch is attached.  I can't actually test it on the current HEAD,
>> because Bug#20117 causes the test to abort immediately.  But I tested
>> an equivalent patch on revision 5d9b1e100.
>
> Looks good to me, pls install. Maybe you could also add a comment that
> "\t" is not expanded to <TAB> on cygwin and windows-nt systems. And
> maybe it is the same for Android, I'll check.

Done as commit a961dce; closing.

Ken

Subject: 25.0.50; tramp-test30-special-characters hangs on Cygwin
From: Ken Brown <[email-masked]>
To: [email-masked]
Date: Mon, 16 Mar 2015 12:21:22 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

This is another long-standing problem, but there's an easy fix, which
I'll send in a second message.  (I want to wait until I have a bug
number so that I can make a proper ChangeLog entry.)

The test for the file name " foo\tbar baz\t" hangs on Cygwin, because
Cygwin interprets the backslash as a Windows path separator; see the
section "Forbidden characters in filenames" in
https://cygwin.com/cygwin-ug-net/using-specialnames.html.  Here's an
example outside of emacs:

$ touch "foo\tbar"
touch: cannot touch =E2=80=98foo\\tbar=E2=80=99: No such file or directory

I'll send a patch shortly.

Ken

In GNU Emacs 25.0.50.5 (x86_64-unknown-cygwin, GTK+ Version 3.14.9)
  of 2015-03-16 on moufang
Repository revision: 5d9b1e100aa4ddb79471f7ec2347fdb65d6a9a70
Windowing system distributor `The Cygwin/X Project', version 11.0.11701000
Configured using:
  `configure --without-all --cache-file=3D/tmp/config.cache'